<?php

namespace Litecms\CouponSetting;

use User;

class CouponSetting
{
    /**
     * $couponsetting object.
     */
    protected $couponsetting;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\CouponSetting\Interfaces\CouponsettingRepositoryInterface $couponsetting)
    {
        $this->couponsetting = $couponsetting;
    }

    /**
     * Returns count of coupon__setting.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.couponsetting.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->couponsetting->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\CouponsettingUserCriteria());
        }

        $couponsetting = $this->couponsetting->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('coupon__setting::' . $view, compact('couponsetting'))->render();
    }
}
