<?php

namespace Litecms\CouponSetting\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CouponsettingTransformer extends TransformerAbstract
{
    public function transform(\Litecms\CouponSetting\Models\Couponsetting $couponsetting)
    {
        return [
            'id'                => $couponsetting->getRouteKey(),
            'key'               => [
                'public'    => $couponsetting->getPublicKey(),
                'route'     => $couponsetting->getRouteKey(),
            ], 
            'coupon_code'       => $couponsetting->coupon_code,
            'discount'          => $couponsetting->discount,
            'Status'            => $couponsetting->Status,
            'url'               => [
                'public'    => trans_url('coupon__setting/'.$couponsetting->getPublicKey()),
                'user'      => guard_url('coupon__setting/couponsetting/'.$couponsetting->getRouteKey()),
            ], 
            'status'            => trans('app.'.$couponsetting->status),
            'created_at'        => format_date($couponsetting->created_at),
            'updated_at'        => format_date($couponsetting->updated_at),
        ];
    }
}